//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU Library General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

#ifndef OptionsDialog_H
#define OptionsDialog_H

#include <pgwindow.h>
#include <pgcheckbutton.h>
#include <pglabel.h>
#include <pgbutton.h>
#include <pgfilearchive.h>

class PG_Label;
class PG_Button;
class PG_CheckButton;

/* Dialog for game options
 *
 */

class OptionsDialog : public PG_Window
{
    public:
        // CREATORS
        OptionsDialog(PG_Widget* parent, PG_Rect rect);
        ~OptionsDialog();

        // CALLBACK FUNCTIONS
	bool okClicked(PG_Button* btn);
	bool cancelClicked(PG_Button* btn);
	bool helpClicked(PG_Button* btn);
	bool smoothClicked(PG_Button* btn);
	bool showNextClicked(PG_Button* btn);

    private:
        // WIDGETS
        PG_CheckButton* d_cb_smooth_scrolling;
        PG_CheckButton* d_cb_show_next_player;
        PG_Label* d_l_caption;
        PG_Button* d_b_ok;
        PG_Button* d_b_cancel;
        PG_Button* d_b_help;
};

#endif

// End of file
